/*
 *    ImageServlet
 *  Copyright (C) 2008 Mark Elam
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *  For more information about the GNU Public license see:
 *  http://www.gnu.org/copyleft/gpl.html
 *
 *  ImageServlet is at:
 *  http://www.subtrack.org.uk
 *
 */
package uk.org.subtrack.imaging;

import java.awt.Graphics2D;
import java.io.Serializable;

/**
 *
 * @author Mark Elam
 */
public interface ImageBean extends Serializable {

    public void drawGraphics(Graphics2D g2d, Integer height, Integer width);
}
